#ifndef CUSTOMCONTAINER1_HPP
#define CUSTOMCONTAINER1_HPP

#include <gui_generated/containers/CustomContainer1Base.hpp>
#include <touchgfx/Callback.hpp>

class Screen1View;

class CustomContainer1 : public CustomContainer1Base
{
public:
    CustomContainer1();
    virtual ~CustomContainer1() {}

    virtual void initialize();
    void HiddenBoxClickHandler(const Box& b, const ClickEvent& evt);
    void setPtr(Screen1View* ptr);

protected:
	Callback<CustomContainer1, const Box&, const ClickEvent&> BoxClickedCallback;
	Screen1View* viewPtr;
};

#endif // CUSTOMCONTAINER1_HPP
